Bug 962253 - alternative harness API allows uploading logs to finished tasks
Summary: alternative harness API allows uploading logs to finished tasks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: lab controller
Version: 0.12
Hardware: Unspecified
OS: Unspecified
high
unspecified vote
Target Milestone: 0.13
Assignee: Dan Callaghan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-13 01:34 UTC by Dan Callaghan
Modified: 2018-02-06 00:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-25 06:26:56 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2013-05-13 01:34:29 UTC
The lab controller API for alternative harnesses allows uploading log files to recipes/tasks/results which are finished. Beaker should reject the requests with a 409 response instead.

May also apply to the XML-RPC API, I haven't checked yet.

http://article.gmane.org/gmane.comp.systems.beaker.devel/540

Comment 1 Dan Callaghan 2013-05-30 06:06:49 UTC
On Gerrit: http://gerrit.beaker-project.org/1999

Comment 4 xjia 2013-06-03 10:54:23 UTC
Version:
beaker-server-0.12.1-1.git.177.5d4e6bf.el6.noarch
beaker-server-redhat-0.1.14-1.el6eng.noarch
beaker-0.12.1-1.git.177.5d4e6bf.el6.noarch

Comment 6 Amit Saha 2013-06-25 06:26:56 UTC
Beaker 0.13.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.